package com.njcn.gather.script.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2024/11/9
 */
@Getter
public enum ResultUnitEnum {

    FREQ_UNIT("Hz", "频率"),
    V_RELATIVE_UNIT("%Un", "电压"),
    V_ABSOLUTELY_UNIT("V", "电压"),
    I_RELATIVE_UNIT("%In", "电流"),
    I_ABSOLUTELY_UNIT("A", "电流"),
    HV_UNIT("%", "谐波电压"),
    HI_UNIT("%", "谐波电流"),
    HP_UNIT("W", "谐波有功功率"),
    HSV_UNIT("%", "间谐波电压"),
    HSI_UNIT("%", "间谐波电流"),
    VOLTAGE_MAG_UNIT("周波", "暂态持续时间"),
    VOLTAGE_DUR_UNIT("%", "暂态深度"),
    IMBV_UNIT("%", "电压不平衡度"),
    IMBA_UNIT("%", "电流不平衡度"),

    ;

    private String unit;
    private String name;

    ResultUnitEnum(String unit, String name) {
        this.unit = unit;
        this.name = name;
    }
}
